Bug 825599 - (samdump2) Review Request: samdump2 - Retrieves syskey and extracts hashes from Windows SAM hive
Review Request: samdump2 - Retrieves syskey and extracts hashes from Windows ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-05-27 22:58 EDT by Michal Ambroz
Modified: 2014-10-17 13:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: samdump2-3.0.0-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-08 22:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2012-05-27 22:58:33 EDT
Spec URL: http://rebus.fedorapeople.org/SPECS/samdump2.spec
SRPM URL: http://rebus.fedorapeople.org/SRPMS/samdump2-3.0.0-1.fc17.src.rpm
Fedora Account System Username: rebus

Description:
This tool is designed to recover the syskey bootkey from Windows NT/2K/XP/Vista
system hive and uses it to decrypt and dump password hashes from the SAM hive.

========= rpmlint =============
#Rpmlint reports spelling errors because of the special terminology used

$ rpmlint SRPMS/samdump2-3.0.0-1.fc17.src.rpm RPMS/x86_64/samdump2-3.0.0-1.fc17.x86_64.rpm RPMS/x86_64/samdump2-debuginfo-3.0.0-1.fc17.x86_64.rpm
samdump2.src: W: spelling-error Summary(en_US) syskey -> passkey
samdump2.src: W: spelling-error %description -l en_US syskey -> passkey
samdump2.src: W: spelling-error %description -l en_US bootkey -> boot key, boot-key, bootee
samdump2.src: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
samdump2.x86_64: W: spelling-error Summary(en_US) syskey -> passkey
samdump2.x86_64: W: spelling-error %description -l en_US syskey -> passkey
samdump2.x86_64: W: spelling-error %description -l en_US bootkey -> boot key, boot-key, bootee
samdump2.x86_64: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
3 packages and 0 specfiles checked; 0 errors, 8 warnings.


========== KOJI build ================
Created task: 4109401
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4109401
Watching tasks (this may be safely interrupted)...
4109401 build (dist-rawhide, samdump2-3.0.0-1.fc17.src.rpm): open (x86-15.phx2.fedoraproject.org)
  4109403 buildArch (samdump2-3.0.0-1.fc17.src.rpm, i686): free
  4109402 buildArch (samdump2-3.0.0-1.fc17.src.rpm, x86_64): open (x86-01.phx2.fedoraproject.org)
  4109403 buildArch (samdump2-3.0.0-1.fc17.src.rpm, i686): free -> open (x86-11.phx2.fedoraproject.org)
  4109403 buildArch (samdump2-3.0.0-1.fc17.src.rpm, i686): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  4109402 buildArch (samdump2-3.0.0-1.fc17.src.rpm, x86_64): open (x86-01.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
4109401 build (dist-rawhide, samdump2-3.0.0-1.fc17.src.rpm): open (x86-15.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

4109401 build (dist-rawhide, samdump2-3.0.0-1.fc17.src.rpm) completed successfully
Comment 1 Fabian Affolter 2012-06-20 17:37:38 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint samdump2-debuginfo-3.0.0-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint samdump2-3.0.0-1.fc18.i686.rpm

samdump2.i686: W: spelling-error Summary(en_US) syskey -> passkey
samdump2.i686: W: spelling-error %description -l en_US syskey -> passkey
samdump2.i686: W: spelling-error %description -l en_US bootkey -> boot key, boot-key, bootee
samdump2.i686: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint samdump2-3.0.0-1.fc18.src.rpm

samdump2.src: W: spelling-error Summary(en_US) syskey -> passkey
samdump2.src: W: spelling-error %description -l en_US syskey -> passkey
samdump2.src: W: spelling-error %description -l en_US bootkey -> boot key, boot-key, bootee
samdump2.src: W: spelling-error %description -l en_US decrypt -> decry pt, decry-pt, decry
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/fab/reviews/825599/samdump2-3.0.0.tar.bz2 :
  MD5SUM this package     : 5dac2dc3f8171a3dc86053d923a0e6f5
  MD5SUM upstream package : 5dac2dc3f8171a3dc86053d923a0e6f5

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Rpmlint output is silent. 

Both issues are no blocker, removing the buildroot cleaning before the scm import would be nice. Package APPROVED.
Comment 2 Michal Ambroz 2012-06-25 21:19:58 EDT
Thank you Fabian for the review.

-----------------------------------

New Package SCM Request
=======================
Package Name:      samdump2
Short Description: Retrieves syskey and extracts hashes from Windows 2k/NT/XP/Vista SAM
Owners:            rebus
Branches:          f17 f16 el5 el6
InitialCC:


Thank you.
Michal Ambroz
Comment 3 Gwyn Ciesla 2012-06-26 10:57:53 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-08-29 17:07:29 EDT
samdump2-3.0.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/samdump2-3.0.0-1.fc16
Comment 5 Fedora Update System 2012-08-29 17:07:42 EDT
samdump2-3.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/samdump2-3.0.0-1.el6
Comment 6 Fedora Update System 2012-08-29 17:07:52 EDT
samdump2-3.0.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/samdump2-3.0.0-1.fc17
Comment 7 Fedora Update System 2012-08-30 20:59:19 EDT
Package samdump2-3.0.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samdump2-3.0.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13025/samdump2-3.0.0-1.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-08 22:49:09 EDT
samdump2-3.0.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-08 22:52:10 EDT
samdump2-3.0.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-21 16:59:48 EDT
samdump2-3.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Michal Ambroz 2014-09-23 14:09:32 EDT
Package Change Request
======================
Package Name: samdump2
New Branches: epel7
Owners: rebus

Hello SCM team,
plase can you add epel7 branch for the samdump2 package?
Thank you
Michal Ambroz
Comment 12 Gwyn Ciesla 2014-09-23 15:21:26 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2014-09-24 04:41:46 EDT
samdump2-3.0.0-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/samdump2-3.0.0-6.el7
Comment 14 Fedora Update System 2014-10-17 13:41:35 EDT
samdump2-3.0.0-6.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.